FROM python:3.10

RUN apt-get update
RUN apt install tzdata ffmpeg libsm6 libxext6 -y
RUN pip3 install torch torchvision torchaudio --extra-index-url https://download.pytorch.org/whl/cu116
RUN python3 -m pip install --upgrade pip
RUN python3 -m pip install scipy==1.9.3
RUN pip install paddlepaddle
RUN pip install "paddleocr>=2.0.1"
ADD . /code
WORKDIR /code
COPY requirements.txt /code/requirements.txt
RUN pip3 install -r requirements.txt

CMD ["python3","app.py"]
